package com.zjrs.zwnw.rlzysc.bpo;

import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.zwnw.rlzysc.dto.*;

import jakarta.servlet.http.HttpServletResponse;
import java.text.ParseException;
import java.util.Map;

public interface ZphglBPO {
    public Map<String,Object> getZphfbList(ZphQueryDTO dto);
    public Map getZphXx(ZjQueryDTO dto);
    public String saveZphXx(ZphXxUDTO dto) throws ParseException;
    public void delZphXx(ZjDTO dto);
    public void endZphXx(ZjDTO dto);
    public void UpdateZphFbzt(ZjUDTO dto);
    public Map<String,Object> getZphEwm(ZjDTO dto);
    public Map<String, Object> getHcglList(HcQueryDTO dto);
    public Map getHcXx(ZjQueryDTO dto);
    public String saveHcXx(HcXxUDTO dto);
    public void delHcXx(ZjDTO dto);
    public void updateHcFbzt(ZjUDTO dto);
    public Map<String, Object> getZwglList(ZwQueryDTO dto);
    public Map getZwXx(ZjQueryDTO dto);
    public Map<String,Object> saveZwXx(ZwXxUDTO dto);
    public void delZwXx(ZjDTO dto);
    public void updateZwFbzt(ZjUDTO dto);
    public Map<String, Object> getZwsyqkckList(ZwQueryDTO dto);
    public Map getZwsyqkckXx(ZjDTO dto);
    public PageResult getDwrcqdList(DwQdQueryDTO dto);
    public PageResult getGrrcqdList(GrQdQueryDTO dto);

    PageResult getZwsyqkckXxDetails(ZwQueryListDTO dto);

    void exportYdzphgl(ZphglExportDTO dto, HttpServletResponse res);

    public PageResult queryQychtjList(QychtjDTO dto);

    void exportQychtj(QychtjDTO dto, HttpServletResponse res);

    public PageResult queryQychtjDetailsList(QychtjDTO dto);

    void UpdateZphBmzt(ZjUDTO dto);

    PageResult getWlZphQyXx(ZphQueryDTO dto);

    PageResult getWlZphZwXx(ZphQueryDTO dto);

    void exportWlzphZwXx(ZjDTO dto, HttpServletResponse res);

    void exportZwtj(QychtjDTO dto, HttpServletResponse res);

    void exportZwtjRylb(QychtjDTO dto, HttpServletResponse res);

    void UpdateZphZd(ZjUDTO dto);

    PageResult getWscsmx(ZphQueryDTO dto);

    void exportZphfbWscsmx(ZphQueryDTO dto, HttpServletResponse res);

    void exportQychtjRylbtj(ZphQueryDTO dto, HttpServletResponse res);

    void exportQychtjZwtj(ZphQueryDTO dto, HttpServletResponse res);

    void exportBmcjqysDc(ZphQueryDTO dto, HttpServletResponse res);

    void exportHzdc(ZphQueryDTO dto, HttpServletResponse res);
}
